Bug 540949

Summary: PackageKit-cron needs silent NACK
Product: [Fedora] Fedora Reporter: joshua
Component: PackageKitAssignee: Richard Hughes <richard>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: richard, smparrish
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 2.28.3-0.1.20091211git.fc12 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-11-24 16:24:34 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description joshua 2009-11-24 14:58:52 UTC
Description of problem:

PackageKit-cron emails me even when it doesn't upgrade anything.  Every morning I get email with an attachment called "noname", saying

$ cat downloads/noname
Updating system               [=========================]         
Waiting for authentication    [=========================]         
Starting                      [=========================]         
Downloading repository information[=========================]         
Running                       [=========================]         
The transaction failed: no-packages-to-update, Nothing to do

Surely *not* updating anything shouldn't result in an email.  Shouldn't the fact that it ran be in /var/log/messages, and that's it?  I can maybe see getting email if packages where updated, but not when they aren't.  Even said email option though should have a switch in /etc/sysconfig/packagekit-background to be completely silent.  Having hundreds of machines all emailing when an update comes out can itself be overwhelming.


Version-Release number of selected component (if applicable):

I have PackageKit-cron-0.5.4-0.3.20091029git.fc12.x86_64 installed

Comment 1 Richard Hughes 2009-11-24 16:24:34 UTC
commit f932bcf49054055724ebe05eaa44dc62f1c4edad
Author: Richard Hughes <richard@hughsie.com>
Date:   Tue Nov 24 16:22:43 2009 +0000

    cron: Only email when a useful action was done. Fixes rh#540949

:100755 100755 eaa747b... fb93779... M  contrib/cron/packagekit-background.cron

commit aa45de6aaa964247143eb9abe6684f0a92925878
Author: Richard Hughes <richard@hughsie.com>
Date:   Tue Nov 24 16:02:43 2009 +0000

    pkcon: Add a return code for pkcon of 5 for 'nothing useful was done'

:100644 100644 ea3bbff... 846712f... M  client/pk-console.c
:100644 100644 49ce721... 921b23c... M  client/pkcon.xml

commit d4bb5813adde39021870c08b67836635b6acad7a
Author: Richard Hughes <richard@hughsie.com>
Date:   Tue Nov 24 15:43:17 2009 +0000

    pkcon: Add a message when there are no updates

:100644 100644 53f7c49... ea3bbff... M  client/pk-console.c

commit feb2c18664c37cf5217eeddb638307012ab33b61
Author: Richard Hughes <richard@hughsie.com>
Date:   Tue Nov 24 15:35:08 2009 +0000

    Add a --plain option to pkcon to better support not-running with a console

:100644 100644 54d2947... 53f7c49... M  client/pk-console.c

Comment 2 Fedora Update System 2009-12-07 16:30:46 UTC
PackageKit-0.5.5-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/PackageKit-0.5.5-1.fc12

Comment 3 Fedora Update System 2009-12-18 13:30:11 UTC
gnome-packagekit-2.28.3-0.1.20091211git.fc12,kpackagekit-0.5.2-1.fc12,PackageKit-0.5.5-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/gnome-packagekit-2.28.3-0.1.20091211git.fc12,kpackagekit-0.5.2-1.fc12,PackageKit-0.5.5-1.fc12

Comment 4 Fedora Update System 2009-12-27 20:27:57 UTC
gnome-packagekit-2.28.3-0.1.20091211git.fc12, kpackagekit-0.5.2-1.fc12, PackageKit-0.5.5-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.